Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/SignalSlot/ContentService.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\SignalSlot;
8
9 use eZ\Publish\API\Repository\ContentService as ContentServiceInterface;
10 use eZ\Publish\API\Repository\Values\Content\ContentDraftList;
11 use eZ\Publish\API\Repository\Values\Content\ContentCreateStruct;
12 use eZ\Publish\API\Repository\Values\Content\ContentUpdateStruct;
13 use eZ\Publish\API\Repository\Values\Content\ContentMetadataUpdateStruct;
14 use eZ\Publish\API\Repository\Values\Content\Language;
15 use eZ\Publish\API\Repository\Values\Content\LocationCreateStruct;
16 use eZ\Publish\API\Repository\Values\Content\ContentInfo;
17 use eZ\Publish\API\Repository\Values\Content\RelationList;
18 use eZ\Publish\API\Repository\Values\Content\VersionInfo;
19 use eZ\Publish\API\Repository\Values\ContentType\ContentType;
20 use eZ\Publish\API\Repository\Values\User\User;
21 use eZ\Publish\Core\SignalSlot\Signal\ContentService\CreateContentSignal;
22 use eZ\Publish\Core\SignalSlot\Signal\ContentService\DeleteTranslationSignal;
23 use eZ\Publish\Core\SignalSlot\Signal\ContentService\HideContentSignal;
24 use eZ\Publish\Core\SignalSlot\Signal\ContentService\RemoveTranslationSignal;
25 use eZ\Publish\Core\SignalSlot\Signal\ContentService\RevealContentSignal;
26 use eZ\Publish\Core\SignalSlot\Signal\ContentService\UpdateContentMetadataSignal;
27 use eZ\Publish\Core\SignalSlot\Signal\ContentService\DeleteContentSignal;
28 use eZ\Publish\Core\SignalSlot\Signal\ContentService\CreateContentDraftSignal;
29 use eZ\Publish\Core\SignalSlot\Signal\ContentService\UpdateContentSignal;
30 use eZ\Publish\Core\SignalSlot\Signal\ContentService\PublishVersionSignal;
31 use eZ\Publish\Core\SignalSlot\Signal\ContentService\DeleteVersionSignal;
32 use eZ\Publish\Core\SignalSlot\Signal\ContentService\CopyContentSignal;
33 use eZ\Publish\Core\SignalSlot\Signal\ContentService\AddRelationSignal;
34 use eZ\Publish\Core\SignalSlot\Signal\ContentService\DeleteRelationSignal;
35
39 class ContentService implements ContentServiceInterface
40 {
46 protected $service;
47
53 protected $signalDispatcher;
54
64 public function __construct(ContentServiceInterface $service, SignalDispatcher $signalDispatcher)
65 {
66 $this->service = $service;
67 $this->signalDispatcher = $signalDispatcher;
68 }
69
82 public function loadContentInfo($contentId)
83 {
84 return $this->service->loadContentInfo($contentId);
85 }
86
90 public function loadContentInfoList(array $contentIds): iterable
91 {
92 return $this->service->loadContentInfoList($contentIds);
93 }
94
107 public function loadContentInfoByRemoteId($remoteId)
108 {
109 return $this->service->loadContentInfoByRemoteId($remoteId);
110 }
111
125 public function loadVersionInfo(ContentInfo $contentInfo, $versionNo = null)
126 {
127 return $this->service->loadVersionInfo($contentInfo, $versionNo);
128 }
129
143 public function loadVersionInfoById($contentId, $versionNo = null)
144 {
145 return $this->service->loadVersionInfoById($contentId, $versionNo);
146 }
147
163 public function loadContentByContentInfo(ContentInfo $contentInfo, array $languages = null, $versionNo = null, $useAlwaysAvailable = true)
164 {
165 return $this->service->loadContentByContentInfo($contentInfo, $languages, $versionNo, $useAlwaysAvailable);
166 }
167
179 public function loadContentByVersionInfo(VersionInfo $versionInfo, array $languages = null, $useAlwaysAvailable = true)
180 {
181 return $this->service->loadContentByVersionInfo($versionInfo, $languages, $useAlwaysAvailable);
182 }
183
199 public function loadContent($contentId, array $languages = null, $versionNo = null, $useAlwaysAvailable = true)
200 {
201 return $this->service->loadContent($contentId, $languages, $versionNo, $useAlwaysAvailable);
202 }
203
219 public function loadContentByRemoteId($remoteId, array $languages = null, $versionNo = null, $useAlwaysAvailable = true)
220 {
221 return $this->service->loadContentByRemoteId($remoteId, $languages, $versionNo, $useAlwaysAvailable);
222 }
223
246 public function createContent(ContentCreateStruct $contentCreateStruct, array $locationCreateStructs = [])
247 {
248 $returnValue = $this->service->createContent($contentCreateStruct, $locationCreateStructs);
249 $this->signalDispatcher->emit(
250 new CreateContentSignal(
251 [
252 'contentId' => $returnValue->getVersionInfo()->getContentInfo()->id,
253 'versionNo' => $returnValue->getVersionInfo()->versionNo,
254 ]
255 )
256 );
257
258 return $returnValue;
259 }
260
274 public function updateContentMetadata(ContentInfo $contentInfo, ContentMetadataUpdateStruct $contentMetadataUpdateStruct)
275 {
276 $returnValue = $this->service->updateContentMetadata($contentInfo, $contentMetadataUpdateStruct);
277 $this->signalDispatcher->emit(
278 new UpdateContentMetadataSignal(
279 [
280 'contentId' => $contentInfo->id,
281 ]
282 )
283 );
284
285 return $returnValue;
286 }
287
297 public function deleteContent(ContentInfo $contentInfo)
298 {
299 $returnValue = $this->service->deleteContent($contentInfo);
300 $this->signalDispatcher->emit(
301 new DeleteContentSignal(
302 [
303 'contentId' => $contentInfo->id,
304 'affectedLocationIds' => $returnValue,
305 ]
306 )
307 );
308
309 return $returnValue;
310 }
311
328 public function createContentDraft(
329 ContentInfo $contentInfo,
330 VersionInfo $versionInfo = null,
331 User $creator = null,
332 ?Language $language = null
333 ) {
334 $contentDraft = $this->service->createContentDraft($contentInfo, $versionInfo, $creator, $language);
335 $this->signalDispatcher->emit(
336 new CreateContentDraftSignal(
337 [
338 'contentId' => $contentInfo->id,
339 'versionNo' => ($versionInfo !== null ? $versionInfo->versionNo : null),
340 'newVersionNo' => $contentDraft->getVersionInfo()->versionNo,
341 'userId' => ($creator !== null ? $creator->id : null),
342 'languageCode' => $contentDraft->getVersionInfo()->initialLanguageCode,
343 ]
344 )
345 );
346
347 return $contentDraft;
348 }
349
359 public function countContentDrafts(?User $user = null): int
360 {
361 return $this->service->countContentDrafts($user);
362 }
363
375 public function loadContentDrafts(User $user = null)
376 {
377 return $this->service->loadContentDrafts($user);
378 }
379
383 public function loadContentDraftList(?User $user = null, int $offset = 0, int $limit = -1): ContentDraftList
384 {
385 return $this->service->loadContentDraftList($user, $offset, $limit);
386 }
387
402 public function updateContent(VersionInfo $versionInfo, ContentUpdateStruct $contentUpdateStruct)
403 {
404 $returnValue = $this->service->updateContent($versionInfo, $contentUpdateStruct);
405 $this->signalDispatcher->emit(
406 new UpdateContentSignal(
407 [
408 'contentId' => $versionInfo->getContentInfo()->id,
409 'versionNo' => $versionInfo->versionNo,
410 ]
411 )
412 );
413
414 return $returnValue;
415 }
416
428 public function publishVersion(VersionInfo $versionInfo, array $translations = Language::ALL)
429 {
430 $returnValue = $this->service->publishVersion($versionInfo, $translations);
431 $this->signalDispatcher->emit(
432 new PublishVersionSignal(
433 [
434 'contentId' => $versionInfo->getContentInfo()->id,
435 'versionNo' => $versionInfo->versionNo,
436 'affectedTranslations' => $translations,
437 ]
438 )
439 );
440
441 return $returnValue;
442 }
443
453 public function deleteVersion(VersionInfo $versionInfo)
454 {
455 $returnValue = $this->service->deleteVersion($versionInfo);
456 $this->signalDispatcher->emit(
457 new DeleteVersionSignal(
458 [
459 'contentId' => $versionInfo->contentInfo->id,
460 'versionNo' => $versionInfo->versionNo,
461 ]
462 )
463 );
464
465 return $returnValue;
466 }
467
479 public function loadVersions(ContentInfo $contentInfo, ?int $status = null)
480 {
481 return $this->service->loadVersions($contentInfo, $status);
482 }
483
496 public function copyContent(ContentInfo $contentInfo, LocationCreateStruct $destinationLocationCreateStruct, VersionInfo $versionInfo = null)
497 {
498 $returnValue = $this->service->copyContent($contentInfo, $destinationLocationCreateStruct, $versionInfo);
499 $this->signalDispatcher->emit(
500 new CopyContentSignal(
501 [
502 'srcContentId' => $contentInfo->id,
503 'srcVersionNo' => ($versionInfo !== null ? $versionInfo->versionNo : null),
504 'dstContentId' => $returnValue->getVersionInfo()->getContentInfo()->id,
505 'dstVersionNo' => $returnValue->getVersionInfo()->versionNo,
506 'dstParentLocationId' => $destinationLocationCreateStruct->parentLocationId,
507 ]
508 )
509 );
510
511 return $returnValue;
512 }
513
523 public function loadRelations(VersionInfo $versionInfo)
524 {
525 return $this->service->loadRelations($versionInfo);
526 }
527
531 public function countReverseRelations(ContentInfo $contentInfo): int
532 {
533 return $this->service->countReverseRelations($contentInfo);
534 }
535
547 public function loadReverseRelations(ContentInfo $contentInfo)
548 {
549 return $this->service->loadReverseRelations($contentInfo);
550 }
551
555 public function loadReverseRelationList(ContentInfo $contentInfo, int $offset = 0, int $limit = -1): RelationList
556 {
557 return $this->service->loadReverseRelationList($contentInfo, $offset, $limit);
558 }
559
574 public function addRelation(VersionInfo $sourceVersion, ContentInfo $destinationContent)
575 {
576 $returnValue = $this->service->addRelation($sourceVersion, $destinationContent);
577 $this->signalDispatcher->emit(
578 new AddRelationSignal(
579 [
580 'srcContentId' => $sourceVersion->contentInfo->id,
581 'srcVersionNo' => $sourceVersion->versionNo,
582 'dstContentId' => $destinationContent->id,
583 ]
584 )
585 );
586
587 return $returnValue;
588 }
589
600 public function deleteRelation(VersionInfo $sourceVersion, ContentInfo $destinationContent)
601 {
602 $returnValue = $this->service->deleteRelation($sourceVersion, $destinationContent);
603 $this->signalDispatcher->emit(
604 new DeleteRelationSignal(
605 [
606 'srcContentId' => $sourceVersion->contentInfo->id,
607 'srcVersionNo' => $sourceVersion->versionNo,
608 'dstContentId' => $destinationContent->id,
609 ]
610 )
611 );
612
613 return $returnValue;
614 }
615
619 public function removeTranslation(ContentInfo $contentInfo, $languageCode)
620 {
621 @trigger_error(
622 __METHOD__ . ' is deprecated, use deleteTranslation instead',
623 E_USER_DEPRECATED
624 );
625 $this->deleteTranslation($contentInfo, $languageCode);
626 }
627
645 public function deleteTranslation(ContentInfo $contentInfo, $languageCode)
646 {
647 $this->service->deleteTranslation($contentInfo, $languageCode);
648 $this->signalDispatcher->emit(
649 new RemoveTranslationSignal(['contentId' => $contentInfo->id, 'languageCode' => $languageCode])
650 );
651 $this->signalDispatcher->emit(
652 new DeleteTranslationSignal(['contentId' => $contentInfo->id, 'languageCode' => $languageCode])
653 );
654 }
655
674 public function deleteTranslationFromDraft(VersionInfo $versionInfo, $languageCode)
675 {
676 return $this->service->deleteTranslationFromDraft($versionInfo, $languageCode);
677 }
678
694 public function loadContentListByContentInfo(
695 array $contentInfoList,
696 array $languages = [],
697 $useAlwaysAvailable = true
698 ) {
699 return $this->service->loadContentListByContentInfo(
700 $contentInfoList,
701 $languages,
702 $useAlwaysAvailable
703 );
704 }
705
716 public function hideContent(ContentInfo $contentInfo): void
717 {
718 $this->service->hideContent($contentInfo);
719 $this->signalDispatcher->emit(
720 new HideContentSignal([
721 'contentId' => $contentInfo->id,
722 ])
723 );
724 }
725
734 public function revealContent(ContentInfo $contentInfo): void
735 {
736 $this->service->revealContent($contentInfo);
737 $this->signalDispatcher->emit(
738 new RevealContentSignal([
739 'contentId' => $contentInfo->id,
740 ])
741 );
742 }
743
754 public function newContentCreateStruct(ContentType $contentType, $mainLanguageCode)
755 {
756 return $this->service->newContentCreateStruct($contentType, $mainLanguageCode);
757 }
758
764 public function newContentMetadataUpdateStruct()
765 {
766 return $this->service->newContentMetadataUpdateStruct();
767 }
768
774 public function newContentUpdateStruct()
775 {
776 return $this->service->newContentUpdateStruct();
777 }
778 }
eZ\Publish\API\Repository\Values\ContentType\ContentType
Definition: API/Repository/Values/ContentType/ContentType.php:36
eZ\Publish\API\Repository\Values\Content\ContentCreateStruct
Definition: API/Repository/Values/Content/ContentCreateStruct.php:15
eZ\Publish\API\Repository\Values\Content\ContentDraftList
List of content drafts.
Definition: ContentDraftList.php:20
eZ\Publish\API\Repository\Values\Content\ContentInfo
Definition: API/Repository/Values/Content/ContentInfo.php:31
eZ\Publish\API\Repository\Values\Content\ContentMetadataUpdateStruct
With this class data can be provided to update version independent fields of the content.
Definition: ContentMetadataUpdateStruct.php:16
eZ\Publish\API\Repository\Values\Content\ContentUpdateStruct
Definition: API/Repository/Values/Content/ContentUpdateStruct.php:15
eZ\Publish\API\Repository\Values\Content\Language
Definition: API/Repository/Values/Content/Language.php:20
eZ\Publish\API\Repository\Values\Content\Language\ALL
const ALL
Constant for use in API's to specify that you want to load all languages.
Definition: API/Repository/Values/Content/Language.php:24
eZ\Publish\API\Repository\Values\Content\LocationCreateStruct
This class is used to create a new Location for a content object.
Definition: API/Repository/Values/Content/LocationCreateStruct.php:15
eZ\Publish\API\Repository\Values\Content\RelationList
List of relations.
Definition: API/Repository/Values/Content/RelationList.php:20
eZ\Publish\API\Repository\Values\Content\VersionInfo
Definition: API/Repository/Values/Content/VersionInfo.php:27
eZ\Publish\API\Repository\Values\Content\VersionInfo\getContentInfo
getContentInfo()
Content of the content this version belongs to.
eZ\Publish\API\Repository\Values\User\User
Definition: Publish/API/Repository/Values/User/User.php:24
eZ\Publish\Core\SignalSlot\ContentService
ContentService class.
Definition: Core/SignalSlot/ContentService.php:40
eZ\Publish\Core\SignalSlot\ContentService\loadVersions
loadVersions(ContentInfo $contentInfo, ?int $status=null)
Loads all versions for the given content.
Definition: Core/SignalSlot/ContentService.php:479
eZ\Publish\Core\SignalSlot\ContentService\copyContent
copyContent(ContentInfo $contentInfo, LocationCreateStruct $destinationLocationCreateStruct, VersionInfo $versionInfo=null)
Copies the content to a new location.
Definition: Core/SignalSlot/ContentService.php:496
eZ\Publish\Core\SignalSlot\ContentService\revealContent
revealContent(ContentInfo $contentInfo)
Reveals Content hidden by hideContent API.
Definition: Core/SignalSlot/ContentService.php:734
eZ\Publish\Core\SignalSlot\ContentService\loadContentByRemoteId
loadContentByRemoteId($remoteId, array $languages=null, $versionNo=null, $useAlwaysAvailable=true)
Loads content in a version for the content object reference by the given remote id.
Definition: Core/SignalSlot/ContentService.php:219
eZ\Publish\Core\SignalSlot\ContentService\countReverseRelations
countReverseRelations(ContentInfo $contentInfo)
{Counts all incoming relations for the given content object.int The number of reverse relations (Rela...
Definition: Core/SignalSlot/ContentService.php:531
eZ\Publish\Core\SignalSlot\ContentService\hideContent
hideContent(ContentInfo $contentInfo)
Hides Content by making all the Locations appear hidden.
Definition: Core/SignalSlot/ContentService.php:716
eZ\Publish\Core\SignalSlot\ContentService\deleteVersion
deleteVersion(VersionInfo $versionInfo)
Removes the given version.
Definition: Core/SignalSlot/ContentService.php:453
eZ\Publish\Core\SignalSlot\ContentService\loadVersionInfoById
loadVersionInfoById($contentId, $versionNo=null)
Loads a version info of the given content object id.
Definition: Core/SignalSlot/ContentService.php:143
eZ\Publish\Core\SignalSlot\ContentService\loadContent
loadContent($contentId, array $languages=null, $versionNo=null, $useAlwaysAvailable=true)
Loads content in a version of the given content object.
Definition: Core/SignalSlot/ContentService.php:199
eZ\Publish\Core\SignalSlot\ContentService\loadContentInfo
loadContentInfo($contentId)
Loads a content info object.
Definition: Core/SignalSlot/ContentService.php:82
eZ\Publish\Core\SignalSlot\ContentService\newContentCreateStruct
newContentCreateStruct(ContentType $contentType, $mainLanguageCode)
Instantiates a new content create struct object.
Definition: Core/SignalSlot/ContentService.php:754
eZ\Publish\Core\SignalSlot\ContentService\deleteTranslation
deleteTranslation(ContentInfo $contentInfo, $languageCode)
Delete Content item Translation from all Versions (including archived ones) of a Content Object.
Definition: Core/SignalSlot/ContentService.php:645
eZ\Publish\Core\SignalSlot\ContentService\loadReverseRelations
loadReverseRelations(ContentInfo $contentInfo)
Loads all incoming relations for a content object.
Definition: Core/SignalSlot/ContentService.php:547
eZ\Publish\Core\SignalSlot\ContentService\deleteRelation
deleteRelation(VersionInfo $sourceVersion, ContentInfo $destinationContent)
Removes a relation of type COMMON from a draft.
Definition: Core/SignalSlot/ContentService.php:600
eZ\Publish\Core\SignalSlot\ContentService\publishVersion
publishVersion(VersionInfo $versionInfo, array $translations=Language::ALL)
Publishes a content version.
Definition: Core/SignalSlot/ContentService.php:428
eZ\Publish\Core\SignalSlot\ContentService\loadContentInfoList
loadContentInfoList(array $contentIds)
{Bulk-load ContentInfo items by id's.Note: It does not throw exceptions on load, just skips erroneous...
Definition: Core/SignalSlot/ContentService.php:90
eZ\Publish\Core\SignalSlot\ContentService\$service
$service
Definition: Core/SignalSlot/ContentService.php:46
eZ\Publish\Core\SignalSlot\ContentService\loadContentByVersionInfo
loadContentByVersionInfo(VersionInfo $versionInfo, array $languages=null, $useAlwaysAvailable=true)
Loads content in the version given by version info.
Definition: Core/SignalSlot/ContentService.php:179
eZ\Publish\Core\SignalSlot\ContentService\loadRelations
loadRelations(VersionInfo $versionInfo)
Loads all outgoing relations for the given version.
Definition: Core/SignalSlot/ContentService.php:523
eZ\Publish\Core\SignalSlot\ContentService\createContent
createContent(ContentCreateStruct $contentCreateStruct, array $locationCreateStructs=[])
Creates a new content draft assigned to the authenticated user.
Definition: Core/SignalSlot/ContentService.php:246
eZ\Publish\Core\SignalSlot\ContentService\$signalDispatcher
$signalDispatcher
Definition: Core/SignalSlot/ContentService.php:53
eZ\Publish\Core\SignalSlot\ContentService\__construct
__construct(ContentServiceInterface $service, SignalDispatcher $signalDispatcher)
Constructor.
Definition: Core/SignalSlot/ContentService.php:64
eZ\Publish\Core\SignalSlot\ContentService\loadContentDraftList
loadContentDraftList(?User $user=null, int $offset=0, int $limit=-1)
{Loads drafts for a user when content is not in the trash.The list is sorted by modification date....
Definition: Core/SignalSlot/ContentService.php:383
eZ\Publish\Core\SignalSlot\ContentService\deleteContent
deleteContent(ContentInfo $contentInfo)
Deletes a content object including all its versions and locations including their subtrees.
Definition: Core/SignalSlot/ContentService.php:297
eZ\Publish\Core\SignalSlot\ContentService\newContentMetadataUpdateStruct
newContentMetadataUpdateStruct()
Instantiates a new content meta data update struct.
Definition: Core/SignalSlot/ContentService.php:764
eZ\Publish\Core\SignalSlot\ContentService\countContentDrafts
countContentDrafts(?User $user=null)
Counts drafts for a user.
Definition: Core/SignalSlot/ContentService.php:359
eZ\Publish\Core\SignalSlot\ContentService\loadContentByContentInfo
loadContentByContentInfo(ContentInfo $contentInfo, array $languages=null, $versionNo=null, $useAlwaysAvailable=true)
Loads content in a version for the given content info object.
Definition: Core/SignalSlot/ContentService.php:163
eZ\Publish\Core\SignalSlot\ContentService\loadContentDrafts
loadContentDrafts(User $user=null)
Loads drafts for a user.
Definition: Core/SignalSlot/ContentService.php:375
eZ\Publish\Core\SignalSlot\ContentService\updateContent
updateContent(VersionInfo $versionInfo, ContentUpdateStruct $contentUpdateStruct)
Updates the fields of a draft.
Definition: Core/SignalSlot/ContentService.php:402
eZ\Publish\Core\SignalSlot\ContentService\addRelation
addRelation(VersionInfo $sourceVersion, ContentInfo $destinationContent)
Adds a relation of type common.
Definition: Core/SignalSlot/ContentService.php:574
eZ\Publish\Core\SignalSlot\ContentService\loadReverseRelationList
loadReverseRelationList(ContentInfo $contentInfo, int $offset=0, int $limit=-1)
{Loads all incoming relations for a content object.The relations come only from published versions of...
Definition: Core/SignalSlot/ContentService.php:555
eZ\Publish\Core\SignalSlot\ContentService\loadContentInfoByRemoteId
loadContentInfoByRemoteId($remoteId)
Loads a content info object for the given remoteId.
Definition: Core/SignalSlot/ContentService.php:107
eZ\Publish\Core\SignalSlot\ContentService\removeTranslation
removeTranslation(ContentInfo $contentInfo, $languageCode)
{Remove Content Object translation from all Versions (including archived ones) of a Content Object....
Definition: Core/SignalSlot/ContentService.php:619
eZ\Publish\Core\SignalSlot\ContentService\createContentDraft
createContentDraft(ContentInfo $contentInfo, VersionInfo $versionInfo=null, User $creator=null, ?Language $language=null)
Creates a draft from a published or archived version.
Definition: Core/SignalSlot/ContentService.php:328
eZ\Publish\Core\SignalSlot\ContentService\loadContentListByContentInfo
loadContentListByContentInfo(array $contentInfoList, array $languages=[], $useAlwaysAvailable=true)
Bulk-load Content items by the list of ContentInfo Value Objects.
Definition: Core/SignalSlot/ContentService.php:694
eZ\Publish\Core\SignalSlot\ContentService\updateContentMetadata
updateContentMetadata(ContentInfo $contentInfo, ContentMetadataUpdateStruct $contentMetadataUpdateStruct)
Updates the metadata.
Definition: Core/SignalSlot/ContentService.php:274
eZ\Publish\Core\SignalSlot\ContentService\loadVersionInfo
loadVersionInfo(ContentInfo $contentInfo, $versionNo=null)
Loads a version info of the given content object.
Definition: Core/SignalSlot/ContentService.php:125
eZ\Publish\Core\SignalSlot\ContentService\deleteTranslationFromDraft
deleteTranslationFromDraft(VersionInfo $versionInfo, $languageCode)
Delete specified Translation from a Content Draft.
Definition: Core/SignalSlot/ContentService.php:674
eZ\Publish\Core\SignalSlot\ContentService\newContentUpdateStruct
newContentUpdateStruct()
Instantiates a new content update struct.
Definition: Core/SignalSlot/ContentService.php:774
eZ\Publish\Core\SignalSlot\SignalDispatcher
Dispatches Signals to their assigned Slots.
Definition: SignalDispatcher.php:20
eZ\Publish\Core\SignalSlot\Signal\ContentService\AddRelationSignal
AddRelationSignal class.
Definition: AddRelationSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\ContentService\CopyContentSignal
CopyContentSignal class.
Definition: CopyContentSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\ContentService\CreateContentDraftSignal
CreateContentDraftSignal class.
Definition: CreateContentDraftSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\ContentService\CreateContentSignal
CreateContentSignal class.
Definition: CreateContentSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\ContentService\DeleteContentSignal
DeleteContentSignal class.
Definition: DeleteContentSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\ContentService\DeleteRelationSignal
DeleteRelationSignal class.
Definition: DeleteRelationSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\ContentService\DeleteTranslationSignal
DeleteTranslationSignal emitted when a Content Object Translation gets deleted from all Versions.
Definition: DeleteTranslationSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\ContentService\DeleteVersionSignal
DeleteVersionSignal class.
Definition: DeleteVersionSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\ContentService\HideContentSignal
Definition: HideContentSignal.php:14
eZ\Publish\Core\SignalSlot\Signal\ContentService\PublishVersionSignal
PublishVersionSignal class.
Definition: PublishVersionSignal.php:16
eZ\Publish\Core\SignalSlot\Signal\ContentService\RemoveTranslationSignal
Definition: RemoveTranslationSignal.php:22
eZ\Publish\Core\SignalSlot\Signal\ContentService\RevealContentSignal
Definition: RevealContentSignal.php:14
eZ\Publish\Core\SignalSlot\Signal\ContentService\UpdateContentMetadataSignal
UpdateContentMetadataSignal class.
Definition: UpdateContentMetadataSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\ContentService\UpdateContentSignal
UpdateContentSignal class.
Definition: UpdateContentSignal.php:15
eZ\Publish\API\Repository\ContentService
Definition: API/Repository/ContentService.php:27
eZ\Publish\Core\SignalSlot
Definition: Core/SignalSlot/BookmarkService.php:9
eZ\Publish\SPI\Persistence\Content\Type
Definition: SPI/Persistence/Content/Type/CreateStruct.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.